curl --request GET \
--url https://int-prodtest.m1amdocs.io/v2/entitlement/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/v2/entitlement/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v2/entitlement/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v2/entitlement/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"account": {
"id": "<string>",
"externalId": "<string>",
"partnerCustomerId": "<string>",
"parent": "<string>"
},
"subscriptionId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"partnerCode": "<string>",
"quantity": 500,
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>"
}Get Entitlement
Entitlement update can include product (upgrade or downgrade) and metadata change (mobile number change)
curl --request GET \
--url https://int-prodtest.m1amdocs.io/v2/entitlement/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/v2/entitlement/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v2/entitlement/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v2/entitlement/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v2/entitlement/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"account": {
"id": "<string>",
"externalId": "<string>",
"partnerCustomerId": "<string>",
"parent": "<string>"
},
"subscriptionId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"partnerCode": "<string>",
"quantity": 500,
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Path Parameters
The id parameter is the partner subscription ID entity.
Response
OK
MarketONE partner service provisioning record identifier.
256The product code defined by the partner identified by partner code.
128The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.
UNPROVISIONED, INACTIVE, ACTIVE, CANCELLATION-IN-PROGRESS, CANCELLED, UPDATE-IN-PROGRESS, PAUSED, PAUSE-IN-PROGRESS, RESUME-IN-PROGRESS 50Show child attributes
Show child attributes
The id subscription associated with this partner service.
128The identifier returned by the partner from the "AddSubscription" callback.
256The partner code as set by the partner admin in MarketONE.
15represents the quantity that this entitlement should enable. Required for products with QUANTITY entitlementType.
500
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner subscription was activated (optional)
Was this page helpful?

